> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Verify User Email > Verifies a user's email address using the token embedded in the verification sent to their email. ### Changelog | Version | Description | | ---------------- | ------------| |9.0.0 | Removed the `anonymous` role swap on verification. | |8.7.0 | Added | ## OpenAPI ````json POST /api/v1/users.verifyEmail { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/users.verifyEmail": { "post": { "tags": [ "Users" ], "summary": "Verify User Email", "description": "Verifies a user's email address using the token embedded in the verification sent to their email.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|9.0.0 | Removed the `anonymous` role swap on verification. |\n|8.7.0 | Added |", "operationId": "post-api-v1-users.verifyEmail", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "token": { "type": "string", "description": "The email verification token the user received by email.", "example": "hf5Wf4Kj9R3mR7cQ2xkPd" } }, "required": [ "token" ] }, "examples": { "Example": { "value": { "token": "hf5Wf4Kj9R3mR7cQ2xkPd" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Missing token": { "value": { "success": false, "error": "must have required property 'token' [error-invalid-params]", "errorType": "error-invalid-params" } }, "Verification link expired": { "value": { "success": false, "error": "Verify email link expired" } } } } } } } } } }, "components": { "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } } } } } ````